Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1197759 - Docker repo names are limited to 30 chars (128 in newer versions of docker)
Summary: Docker repo names are limited to 30 chars (128 in newer versions of docker)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Container Management
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-02 14:32 UTC by David Davis
Modified: 2017-02-23 20:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-13 15:55:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Davis 2015-03-02 14:32:06 UTC
I was testing some things out in Katello when I hit this when I tried to pull a docker repo:

❯❯❯ docker pull localhost:5000/default_organization-library-redisv-Tester-redis:latest
2015/03/01 15:08:15 Invalid repository name (default_organization-library-redisv-Tester-redis), only [a-z0-9-_.] are allowed

Looks like Docker repo names could only be 30 characters in docker-1.3.2-4.el7.centos.x86_64 (which is the version I have on centos7):

https://github.com/docker/docker/pull/8447

Comment 1 RHEL Program Management 2015-03-03 05:21:57 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.


Note You need to log in before you can comment on or make changes to this bug.